View Issue Details

IDProjectCategoryView StatusLast Update
0023866mantisbtapi restpublic2018-02-06 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.10.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023866: Support adding relationships via REST API
Description

Add REST API to enable adding/updating relationships to an issue.

TagsNo tags attached.

Relationships

related to 0023865 closedvboctor Implement IssueRelationshipAddCommand to add relationships 

Activities

Related Changesets

MantisBT: master dccd5cf6

2018-01-21 17:25:46

vboctor

Details Diff
Support adding relationships via REST API

Fixes 0023866
Affected Issues
0023866
mod - api/rest/restcore/issues_rest.php Diff File

Issue History

Date Modified Username Field Change
2018-01-21 13:22 vboctor New Issue
2018-01-21 13:22 vboctor Status new => assigned
2018-01-21 13:22 vboctor Assigned To => vboctor
2018-01-21 13:23 vboctor Relationship added parent of 0023865
2018-01-21 13:23 vboctor Relationship replaced related to 0023865
2018-01-21 19:01 vboctor Note Added: 0058581
2018-01-28 14:01 vboctor Changeset attached => MantisBT master dccd5cf6
2018-01-28 14:01 vboctor Status assigned => resolved
2018-01-28 14:01 vboctor Resolution open => fixed
2018-01-28 14:01 vboctor Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed